package com.zulong.unisdk.application;


import com.kochava.base.Tracker;
import com.zulong.sdk.plugin.ZuLongSDK;

import android.app.Application;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.text.TextUtils;
import android.util.Log;
import android.widget.Toast;

public class UnisdkZuLongApplication extends Application{

	@Override
	public void onCreate() {
		super.onCreate();
		String kochavaIdStr = "";
		try {
			ApplicationInfo appInfo = this.getPackageManager().getApplicationInfo(getPackageName(),PackageManager.GET_META_DATA);
			kochavaIdStr = appInfo.metaData.getString("kochavaId");
			if (null != kochavaIdStr && !TextUtils.isEmpty(kochavaIdStr)) {
				ZuLongSDK.applicationOnCreate(this, kochavaIdStr, Tracker.LOG_LEVEL_DEBUG);
			}else {
				throw new Exception();
			}
		} catch (Exception e) {
			Log.e("UnisdkZuLongApplication", "sdkʼʧܣȡkochavaId");
			Toast.makeText(this.getApplicationContext(), "sdkʼʧܣȡkochavaId", Toast.LENGTH_SHORT).show();
		}
		
	}
}

